package com.zsc.edu.gateway.domain.message;

import com.zsc.edu.gateway.domain.system.BaseEntityBuilder;
import com.zsc.edu.gateway.modules.message.entity.Bulletin;

public class BulletinBuilder extends BaseEntityBuilder {
    private String title;
    private String content;
    private Boolean top;

    public static BulletinBuilder bBulletin(){return new BulletinBuilder();}

    public BulletinBuilder title(String title){
        this.title = title;
        return this;
    }

    public BulletinBuilder content(String content){
        this.content = content;
        return this;
    }


    public BulletinBuilder top(Boolean top){
        this.top = top;
        return this;
    }

    public Bulletin build(){
        Bulletin bulletin = new Bulletin();
        bulletin.setTitle(title);
        bulletin.setContent(content);
        bulletin.setTop(top);
        return bulletin;
    }
}
